import javax.microedition.lcdui.*;
import java.util.Random;
import java.io.*;

public class CanvasImage extends Canvas {
	int altura, largura;

	Image imgFundo;
	Image imgAleatria;

	public CanvasImage() {

		altura = getHeight();
		largura = getWidth();

		/* criar a imagem de fundo	*/
		try {
			imgFundo = Image.createImage("/JavaPowered-2.png");
		} catch (IOException ioe) {
			System.err.println(ioe.getMessage());
		}

		/* criar uma imagem com um gradiente semi-transparente do tamanho do ecr	*/
		int imgDados[] = new int[altura*largura];

		/* vamos usar um tom de cinza	*/
		int cor = 0x00666666;
		int c;
		for (int i = 0; i < altura; i++) {
			/* definir a transparencia de modo a que a primeira linha seja
				completamente transparente e a ltima completamente opaca.
			*/
			c = cor | ((i*255/altura)<<24);
			for (int j = 0; j < largura; j++) {
				imgDados[i*largura +j] = c;
			}
		}
		imgAleatria = Image.createRGBImage(imgDados, largura, altura, true);
	}

	public void paint(Graphics g) {
		g.setColor(255, 255, 255);
		g.fillRect(0, 0, largura, altura);

		g.drawImage(imgFundo, largura/2, altura/2, Graphics.HCENTER|Graphics.VCENTER);
		g.drawImage(imgAleatria, 0, 0, Graphics.TOP|Graphics.LEFT);
	}
}